        ===============================================================
                                 LITTLE GOLIATH
                            WINBOARD/UCI CHESSENGINE
		VERSION 3.5a (AND NEWER) WITH UCI-SUPPORT ONLY 	

                                  VERSION 3.12
        ===============================================================


   Little Goliath v3.12 ("Evolution")

     ### CHANGES/BUGFIX #### (file version 1.0.0.9 -> 1.0.0.18)

     - book was always on (UCI-Option "wide" instead of "off"  was 
       always recognized by the engine)
     - book index broken (the engine chooses a random move in 2 out
       of 10 cases)
     - UCI interface problems: some parameters (Singular Ext., 
       Prefer Tactics initialized with random values in seldom cases)
     - learnfile was corrupted by a bad installation routine
     - broken forward pruning in endgames: recognized by Kurt Utzinger 
       (many thanks to him) a long time ago ("Nemesis" and "Revival"   
       includes this bug too). Looked like a Zugzwang problem, so I 
       accepted it. Later I realized that it was a real bug (a forward 
       pruning algorithm which needs some adjustments to work well in 
       endgames). Results in much better performance now!
     - enhanced opening book (about 400.000 positions)
    
     Remarks:
     Older learnfiles and books (for "Revival" and older engine versions) 
     are not compatible to Evolution's data format.


   Little Goliath - still alive :-) - v3.12 ("Evolution"):

     - some bugfixes and minor improvements
     - optimized chess knowledge
     - BenMax pruning improved again
     
     New UCI options:
      
     - "Prefer Tactics" (default=off) = prefer tactical lines 

     - "Singular Extensions" (default=off) = 
        extend line (if less than 3 good moves are possible)  	      

     - "Combinations" (default=normal) = look at more (=max) oder less
       (=min) combinations 

     - "Pruning" (default=25) = Possible values 0 .. 100 (pruning percentage,
       e.g. value "100" results in max. pruning)
 

     Installation:
     v3.12 comes with a large opening book (about 250.000 positions, games up 
     to May 10, 2005). A larger book (about 2.000.000 positions is available
     too (free download).

     If you have any comments or suggestions, please send an email to
     info@goliathchess.de (Michael Borgstaedt)

     Please note: goliath-chess.de replaced by goliathchess.de (web and mail)
	

   Little Goliath - yet another final release :-) - v3.11 ("Revival"):

     - new opening book format  
     - changed UCI options
     - reduced (but optimized) chess knowledge
     - improved BenMax pruning (Originally designed for the new Goliath 
       Blitz 2.0, so only some parts of this pruning algorithm are fully
       working in LG Revival. But nevertheless: it gives a big jump in 
       playing strength!)

     Installation:
     v3.11 comes with a large opening book (about 300000 positions, games up 
     to June 5, 2004).

     If you have any comments or suggestions, please send an email to
     info@goliath-chess.de (Michael Borgstaedt)
	

   Little Goliath - final release - v3.10 ("Nemesis"):

     - many bugfixes and improvements
     - tablebase support 
     - some new adjustable parameters, e.g.:
       "Pawn_Structure" (default=100, values 0-400)
       value 100 = 100%, 50 = 50% and so on

     Hint: pre-release version (for CSS-Masters tournament) comes
     with default settings "BenMax=normal" und "Powersearch=off".
     I strongly recommend to use "BenMax=agressive" and 
     "Powersearch=on" which seems to produce much better results


   New in version 3.9:

     Bugfixes: 
     - book access problem solved

     Improvements:
     - positional evaluation modified (some important parameters adjusted)
     - introducing BenMax pruning for deeper searches

     Installation:
     v3.9 comes with a small book (grandmaster games, about 48000 positions, 
     games up to Sept. 30, 2002)


   New in version 3.8:

     Bugfixes: 
     - the engine displays correct elapsed move time now (e.g. under ARENA)
     - detection of blocked pawns fixed (wrong detection and bad scoring 
       in former versions)
     - games with more than 203 moves possible now (former engines stopped
       playing at move no. 203 -> results in loss on time and not unloading 
       of the engine), some other (buffer)problems solved too.
     - modified book access, avoids most of the heavy blunders (bad lines
       in opening books)

     Search algo improvement:
     One of the main selective search algorithms was modified. This results
     in slightly improved playing at blitz levels and larger improvement at 
     longer time controls (more than 30 ELO expected) because of safer and 
     more efficient pruning at higher search depths.

     Parameter changed:
     "Forward pruning", possible choices now: "normal" (default), "more" 
     and "max". Very interesting results with "more" and "max", but too
     few testgames up to now.

     Installation:
     v3.8 comes with a small book (about 40000 positions, games up to 
     July 30, 2002)
     

   Version 3.7: internal test version (not released to the public)

     
   New in version 3.6:
     Some bugfixes (positional scoring and pawn-hashtable management).
     Much better time management, especially at blitz levels.
     Stronger engine (+ 30 ELO at blitz level, compared with 3.5c).
     Some new adjustable parameters:

     - Nullmove_(R): nullmove depth (2-5, default "automatic")
     - Extensions: range -4 .. 4 (default = 0)
     - Forward_Pruning: range 0 .. 5 (default = 0)
     - Style "risky" works much better now

   New in version 3.5c:
     The UCI-Version now supports multi-pv modus. Additional engine 
     options are available too. There are no engine-modifications, but
     the interface-support is much more reliable, so some bugs
     regarding time-management (1. loosing on time / 2. using too much 
     time in time-critical situations) and learnfile management are 
     fixed. 

   New in version 3.5b:
     Bugfix only (3.5a UCI-interface). No engine modifications.

   New in version 3.5a:
     First release of version 3.5 with UCI support. No engine modifications.

   New in version 3.5:

     More positional knowledge, modified search algo (new type of 
     forward pruning).
     The engine is identical with the YoungTalents version
     (called Goliath Light 1.5), only some options (tablebases and
     settings) are not available.

   New in version 3.0:

     Nearly a complete new engine (compared with the 2.x series). 
     New positional knowledge, different tactical style. The engine
     seems stronger than the 2.x series at longer time controls, weaker
     at blitz levels (depends on the opponent). 
     Besides, the engine is nearly identical with the YoungTalents version
     (called Goliath Light 1.0), which is listed in the SSDF rating list.
     Only some options (tablebases, settings) are not available in 
     the Winboard version.